Bug 463283 - gnome-panel crashes if $HOME/.recently-used contains a URL with "%2F"
gnome-panel crashes if $HOME/.recently-used contains a URL with "%2F"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-panel (Show other bugs)
4.7
i386 Linux
medium Severity high
: rc
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 16:19 EDT by Dan Astoorian
Modified: 2012-06-20 09:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Astoorian 2008-09-22 16:19:59 EDT
Description of problem:
If a user uses a launcher to a URL which contains the string "%2F", gnome-panel will crash; it will not be restartable until the entry is removed from $HOME/.recently-used.

Version-Release number of selected component (if applicable):
gnome-vfs2-2.8.2-8.7.EL4

How reproducible:
Always

Steps to Reproduce:
1. Right-click on desktop; choose "Create Launcher"; give the launcher a name, and select a Type of "Link"; enter a URL of "http://example.com/%2F".  Select OK to create the launcher.
2. When the launcher icon appears on the desktop, double-click it.  Ignore the web browser that's launched.
3. Verify that an entry has been added to $HOME/.recently-used .  Wait a few seconds.
  
Actual results:
An error dialog appears with the message: 
  The Application "gnome-panel" has quit unexpectedly.
and options to "Restart Application," "Close," or "Inform Developers".  Selecting "Close" causes gnome-session to try to re-launch gnome-panel, but it just crashes again immediately.

Expected results:
Not crashing.

Additional info:
The crash results from a SEGV signal shortly after gnome-panel loads the library /usr/lib/gnome-vfs-2.0/modules/libhttp.so .  (Renaming this file appears to prevent gnome-panel from crashing.)
Comment 1 RHEL Product and Program Management 2008-09-23 10:14:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Tomáš Bžatek 2008-10-10 10:23:12 EDT
This is a gnome-panel bug, crashing in egg-recent-item.c, egg_recent_item_get_short_name(). Reassigning.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208080704 (LWP 4383)]
0x080a72ec in egg_recent_item_get_short_name ()
(gdb) bt
#0  0x080a72ec in egg_recent_item_get_short_name ()
#1  0x080a79db in egg_recent_view_set_model ()
#2  0x080a7d80 in egg_recent_view_set_model ()
#3  0x00132b86 in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#4  0x0011a347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0x0012f94e in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#6  0x001319bc in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0x00131c5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0x080a608e in egg_recent_model_changed ()
#9  0x0808f9b4 in panel_recent_append_documents_menu ()
#10 0x0808c69e in panel_action_button_set_dnd_enabled ()
#11 0x0808caa4 in panel_menu_bar_get_type ()
...

There's an upstream bug about similar issue: http://bugzilla.gnome.org/show_bug.cgi?id=133257
Comment 5 Dan Astoorian 2008-10-10 11:15:28 EDT
I'm not sure it's the same bug, since the .recently-used file given in that
upstream bug report doesn't cause the same crash for me.

Please look at this upstream bug:
    http://mail.gnome.org/archives/gnome-vfs-list/2005-January/msg00037.html

and this associated patch:
    http://bugzilla.gnome.org/attachment.cgi?id=35337&action=view

This patch appears to fix the crashes caused by the "%2F" in the URL; please
consider incorporating it.
Comment 7 RHEL Product and Program Management 2008-10-31 12:39:56 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Jiri Pallich 2012-06-20 09:28:30 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.